import { EventEmitter } from "../stencil-public-runtime";
import { AuthService, DatabaseService, FireEnjin, FireEnjinSubmitEvent, FireEnjinTriggerInput, FireEnjinUploadEvent } from "@fireenjin/sdk";
import { Pin } from "../sdk";
export declare class AppRouter {
  modal: HTMLIonModalElement;
  popover: HTMLIonPopoverElement;
  sharePopover: HTMLIonPopoverElement;
  floatSelect: any;
  floatingSelectEl: HTMLInputElement;
  fileInputEl: HTMLInputElement;
  routerEl: HTMLIonRouterElement;
  app: import("@firebase/app").FirebaseApp;
  auth: AuthService;
  db: DatabaseService;
  fireenjin: FireEnjin;
  uploadData: any;
  toast: HTMLIonToastElement;
  uploadQuery: string;
  fireenjinSubmit: EventEmitter<FireEnjinSubmitEvent>;
  fireenjinTrigger: EventEmitter<FireEnjinTriggerInput>;
  fireenjinUpload: EventEmitter<FireEnjinUploadEvent>;
  onSuccess(event: any): void;
  onToastDidDismiss(): Promise<void>;
  closeToast(): Promise<void>;
  toastMessage(event: any): Promise<void>;
  openToast(event: any): Promise<void>;
  share(event: any): Promise<void>;
  closeSharePopover(): void;
  onForceUpdate(): Promise<void>;
  onSWUpdate(): Promise<void>;
  onTrigger(event: CustomEvent<FireEnjinTriggerInput>): Promise<void>;
  closeModal(): void;
  openModal(event: any): Promise<void>;
  closePopover(): void;
  openPopover(event: any): Promise<void>;
  logout(): Promise<void>;
  onReset(event: any): Promise<void>;
  onRouteDidChange(event: any): Promise<boolean>;
  connectToPlaid(): Promise<void>;
  uploadFiles(event: any): Promise<void>;
  connectGoogleCalendar(): Promise<void>;
  getStripeAccountUrl(): Promise<void>;
  onKeydown(event: any): Promise<void>;
  togglePin(pin: Pin): Promise<void>;
  getTemplates(): Promise<void>;
  getLocations(): Promise<void>;
  getServices(): Promise<void>;
  getMyJobs(): Promise<void>;
  getPins(): Promise<void>;
  getManifest(): Promise<any>;
  componentWillLoad(): void;
  render(): any[];
}
